Subject: PPPEXT Charter Update

From: "Karl Fox" <[email-masked]>
Date: Thu, 03 Jun 1999 16:34:00 -0400

We're in the process of updating the PPPEXT charter (at 
http://www.ietf.org/html.charters/pppext-charter.html), and are changing the 
main focus (if there is one!) from enhancements to document maturation.  
This means that we will no longer welcome new encapsulations, enhancements, 
etc. with the open arms of the past without a really, REALLY good reason to 
do so.

The primary remaining task in updating the charter is laying out the 
milestones necessary to achieve our new goal.  Which protocols should be 
moved forward on the standards track?  When?  Please offer your suggestions.

To start things rolling, here are a few for which I'm sure we'll have wide 
consensus--please also suggest target dates for the various stages of 
advancement (Proposed Standard (PS), Draft Standard (DS), Standard (S)).

PPP, IPCP, CHAP, CCP, ECP, Multilink, L2TP, L2TP MIB

Karl Fox <[email-masked]>
Key fingerprint = 5B15 7260 D55E D680 0B93  4953 8A3B AB0E C05D 77A3

---

From: KYLE FARNSWORTH <[email-masked]>
Date: Fri, 4 Jun 1999 14:47:33 -0500

Karl,

Adtran had a DSU product that used LCP option 25.  It turns out Adtran only
sold a few of those products and has since then been discontinued.  If there
are any of those DSU's still running they are all Adtran talking to Adtran.
I don't believe any other vendor has developed the DCE compression per
RFC1976.

So unless the authors of RFC1976 tell you different I think either option is
acceptable.

Kyle

> Ok, folks, it's up to us to decide what to do, then we'll feed that
> information back to the folks at IANA.
> 
> So what do we do?
> 
> 1) Make LCP option 25 be DCE-Identifier as specified by RFC 
> 1976, assign
>     COBS a new LCP option number, and free up LCP option 21 
> and CCP option 25
>     (or apply a "hold-down" timer to them).
> 
> or
> 
> 2) Make LCP option 25 be COBS, assign DCE-Identifier a new LCP option
>     number, and free up the others.
> 
> Before we can make reasonable decisions, though, it would help to know
> what's been implemented out there.
> 
> So here's a poll:  Who has implemented DCE compression or 
> COBS and shipped
> it to customers?

---

From: KEVIN SCHNEIDER <[email-masked]>
Date: Sun, 6 Jun 1999 09:12:28 -0500

> As the authors of the RFC in question, I figure we ought to chime in.
> 
> I believe this issue came up about a year ago.   At that time we
> determined that RFC 1976 is in error, and the correct LCP option for DCE
> Identifier is indeed 21.   (In fact, all of the drafts of the document
> that I can find on my computer list the option as 21 -- I don't know when
> or where it was changed.)  At that time,  I think I said that the RFC
> needed to be corrected, someone said that RFCs are never corrected, only
> superceded, and that was how it ended.
> 
> We occasionally ship DSU's with compression.  When a pair of these units
> are connected to a DDS line, the protocol on the line looks like a router
> bringing up LCP and CCP but it is not.  Instead, it is a session between
> the two DSU's.  The DCE identifier is included in the LCP negotiation to
> prevent
> confusion in case one end is connected directly to a router instead of to
> a compression DSU.  We believe that 21 is the proper option used for this
> purpose.
> 
> I have no idea why 25 is listed under CCP.  (Perhaps IANA was confused by
> the presence of 25 in RFC 1976 as well, or someone didn't realize that RFC
> 1976 superceded the SCHNEIDER reference.)   23 is the number for LZS-DCP,
> and I think that is the only number from the DSU application that applies
> to CCP.  RFC 1963 and 1967 are the other two RFCs that apply to this
> application.  One describes SDTP/SDCP and the other LZS-DCP.
> 
The right thing to do is fix RFC 1976 to match Assigned Numbers and
implementation, change LCP option 21 to reference the fixed version of RFC
1976 in the Assigned numbers  and remove the Assigned numbers reference to
25 in the CCP section. 

I will also note that these were some of the documents that stayed in the
draft stage well beyond their expiration date due to the CCP patent mess.
The long delay between their submission and publication may have contributed
to this problem.

> I hope that this clears things up.
> 
> Kevin
> >
> > > ----------
> > > From:         John Bray[SMTP:[email-masked]]
> > > Sent:         Friday, June 4, 1999 3:09 PM
> > > To:   Karl Fox
> > > Cc:   [email-masked]
> > > Subject:      Re: PPPEXT Charter Update
> > > 
> > > 
> > > Well, I notice the *examples* in RFC 1976 (section 5.1) use 21, not 25
> > > for the DCE-Identifier option.  So it isn't even consistent with
> > > itself.  James Carlson's book also lists it as 21.
> > > 
> > > John
> > > 
> > > On Fri, 4 Jun 1999, Karl Fox wrote:
> > > 
> > > > 1) Make LCP option 25 be DCE-Identifier as specified by RFC 1976,
> assign
> > > >     COBS a new LCP option number, and free up LCP option 21 and CCP
> > > option 25
> > > > So here's a poll:  Who has implemented DCE compression or COBS and
> > > shipped
> > > > it to customers?
> > > > 
> > > > Thanks,
> > > > 
> > > > Karl
> > > > 
> > > > 
> > > > At 12:32 PM 6/4/99 +0100, Gerry Meyer wrote:
> > > > >Talking of documentation....
> > > > >While idly scanning through the on-line Assigned Numbers for PPP:
> > > > >
> > > > >http://www.isi.edu/in-notes/iana/assignments/ppp-numbers
> > > > >
> > > > >I notice some inconsistencies relating to LCP and CCP.
> > > > >
> > > > >For LCP, it has:
> > > > >
> > > > >   21       DCE-Identifier                            [SCHNEIDER]
> > > > >
> > > > >   25       Consistent Overhead Byte Stuffing (COBS)    [Carlson]
> > > > >
> > > > >For CCP, it has:
> > > > >
> > > > >25              DCE                                   [RFC1976]
> > > > >
> > > > >However RFC 1976 has option 25 an **LCP** option:
> > > > >
> > > > >3.  PPP Link Control Protocol Extension
> > > > >
> > > > >    The use of PPP in Compression DCE requires the use of an
> additional
> > > > >    LCP Configuration Option:
> > > > >
> > > > >       25  DCE-Identifier
> > > > >
> > > > >So LCP option 25 has two contenders for the title.
> > > > >  
> > > > >So what is LCP Option 21?
> > > > >
> > > > >         Gerry
> > > > 
> > > >